xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
unicode.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/base.h>`
`#include <string>`
`#include <iostream>`
`#include <xercesc/util/XMLString.hpp>`

## Classes
class | xmltooling::auto_ptr_char
| A minimal auto_ptr-like class that can copy or transcode a buffer into the local code page and free the result automatically. More...
class | xmltooling::auto_ptr_XMLCh
| A minimal auto_ptr-like class that can copy or transcode a buffer into 16-bit Unicode and free the result automatically. More...
class | xmltooling::auto_arrayptr< T >
| An auto_ptr that uses array delete on its contents. More...

## Namespaces
| xmltooling
| Public namespace of XML Tooling library.

## Typedefs
typedef std::basic_string< XMLCh > | xmltooling::xstring
| An STL string type that supports 16-bit Unicode.

## Functions
char * | xmltooling::toUTF8 (const XMLCh *src, bool use_malloc=false)
| Transcodes a 16-bit Unicode string into UTF-8. More...
XMLCh * | xmltooling::fromUTF8 (const char *src, bool use_malloc=false)
| Transcodes a UTF-8 string into 16-bit Unicode. More...
std::ostream & | xmltooling::operator<< (std::ostream &ostr, const XMLCh *s)
| Writes a Unicode string to an ASCII stream by transcoding to UTF8. More...
std::ostream & | xmltooling::operator<< (std::ostream &ostr, const xstring &s)
| Writes a Unicode string to an ASCII stream by transcoding to UTF8. More...

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Helper classes and types for manipulating Unicode